Crc32 Class Reference

## Public Types

typedef uint32_t | checksum

## Public Member Functions

void | AddData (const uint8_t *pData, const uint32_t length)
| Crc32 ()
checksum | GetCrc32 () const
void | Reset ()

## Detailed Description

Definition at line 76 of file crc.h.

## Constructor & Destructor Documentation

## Crc32()

Crc32::Crc32 | ( |  | ) |

inline

Initialize the Crc32 instance to 0.

Definition at line 84 of file crc.h.

## Member Function Documentation

## AddData()

void Crc32::AddData | ( | const uint8_t * | pData,
|  | const uint32_t | length
| ) |  |

inline

Add new data, incrementally computing the CRC 32 checksum. If length is zero, calling this has no effect on the checksum.

Definition at line 98 of file crc.h.

## GetCrc32()

checksum Crc32::GetCrc32 | ( |  | ) | const

inline

Get the current value of the CRC 32 checksum.

Returns
  An unsigned 32-bit checksum value.

Definition at line 110 of file crc.h.

## Reset()

void Crc32::Reset | ( |  | ) |

inline

Re-initialize/re-set the Crc32 instance to zero.

Note
  The constructor uses this method to initialize a new instance.

Definition at line 92 of file crc.h.

The documentation for this class was generated from the following file:

- crc.h